################################################################################
# $Id: client.tcl,v 1.2 2000/06/27 18:43:42 glahti Exp $
################################################################################
# filename:    client.tcl
#   author:    Gregg D. Lahti
#  created:    06/27/00
################################################################################
# description: example client procedure and commands.  Include this in the
#              DC session.
################################################################################

proc Echo_Client {host port} {
	set s [socket $host $port]
	fconfigure $s -buffering line
	return $s
}
exec server.tcl 9996 &                ;# start server program
set host [info hostname]              ;# get host name
set socket [Echo_Client $host 9996]   ;# open socket
puts $socket "Hello!"                 ;# stuff some data to socket

# open another socket, get a new text frame
set socket2 [Echo_Client $host 9996]  ;# open socket2
puts $socket2 "Hello again!"          ;# stuff some data to socket2

################################################################################
# $Log: client.tcl,v $
# Revision 1.2  2000/06/27 18:43:42  glahti
# Updated header
#
# Revision 1.1  2000/06/27 18:40:37  glahti
# Initial checkin
#
################################################################################
