#Tcl-s
#######################################################################
# File Name    : proj_interactive.tcl
# Date Created : 03/19/00 
# Author       : Gregg D. Lahti
# Project      : TOPS Example Code for SNUG
#######################################################################
# $Id$
#######################################################################
# Description : Main entry point into the synthesis, reads procedures
#######################################################################

echo "\n#INTERACTIVE: This is the Interactive Project setup ($G_PROJ_SYN/proj_interactive.tcl)";
set sh_source_logging false;

#######################################################################
# Source the Project specific procedures
#######################################################################
P_source_if_exists [file join ${G_PROJ_SYN} proj_procs.tcl] "INTERACTIVE";
P_source_if_exists [file join ${G_SCRIPTS_PATH} local_procs.tcl] "INTERACTIVE";
P_source_if_exists [file join ${G_PROJ_SYN} reports_procs.tcl] "INTERACTIVE";
P_source_if_exists [file join ${G_PROJ_SYN} proj_reports.tcl] "INTERACTIVE";

#######################################################################
# Load project library setup script
#######################################################################
# Setting default library taken care of in proj_library script
P_source_if_exists [file join ${G_PROJ_SYN} proj_library.tcl] "INTERACTIVE";

# Return control to USER now

#######################################################################
# $Log$
#######################################################################



