/**********************************************************************/
// File Name         : cnt4_vlog.v
// Date Created      : 05/05/00
// Author            : 
// Project           : TOPS
/**********************************************************************/
// $Id$
/**********************************************************************/
// Description : RTL for counter testcase
/**********************************************************************/

module cnt4_vlog (RST_N,
                  CLK,
                  CNT4
                  );
 
input RST_N;
input CLK;
output [15:0] CNT4;

reg [15:0] CNT4;

always @(posedge CLK or negedge RST_N) begin
  if (RST_N ==0)
    CNT4 <= 0;
  else 
    CNT4 <= CNT4 + 4;
end

endmodule 
