/**********************************************************************/
// File Name         : cnt2_vlog.v
// Date Created      : 05/05/00
// Author            : 
// Project           : TOPS
/**********************************************************************/
// $Id$
/**********************************************************************/
// Description : RTL for counter testcase
/**********************************************************************/

module cnt2_vlog (RST_N,
                  CLK,
                  CNT2);

input RST_N;
input CLK;
output [15:0] CNT2;

reg [15:0] CNT2;

always @(posedge CLK or negedge RST_N) begin
  if (RST_N ==0)
    CNT2 <= 0;
  else 
    CNT2 <= CNT2 + 2;
end
endmodule 
