#######################################################################
# $Id$
#######################################################################
# File Name    : lfsr_clocks.tcl
# Date Created : 3/10/2000
# Author       : Tim L. Wilson & Gregg D. Lahti & Rodney Pesavento
#######################################################################
# Description: Creates clocks and resets for the design/system.
# also, sets up a named clock for timing exception.
#######################################################################

#######################################################################
# Define Clock
#
# CLK_ARRAY is only use to extract clock names by [array names CLK_ARRAY]
# so the foreach can iterate through all the clocks. assign it to 1
# because it need to be someting.
#######################################################################



P_proj_constrain_clock "clk" 1000 150 50;


report_clock -nosplit;
report_clock -skew -nosplit;

#######################################################################
# Take care of buffering problems on reset signals 
#######################################################################
P_proj_constrain_reset "rst_n";

set G_DEFAULT_CLOCK clk;


#######################################################################
#  $Log$
#######################################################################
